package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-15T16:50:49.317+03:00
 * Generated source version: 3.4.3
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "UserEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface UserEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/getUserRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/getUserResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/getUser/Fault/AbstractException")})
    @RequestWrapper(localName = "getUser", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.GetUser")
    @ResponseWrapper(localName = "getUserResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.GetUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.User getUser(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Session session
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/setPasswordUserRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/setPasswordUserResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/setPasswordUser/Fault/AbstractException")})
    @RequestWrapper(localName = "setPasswordUser", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SetPasswordUser")
    @ResponseWrapper(localName = "setPasswordUserResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SetPasswordUserResponse")
    public void setPasswordUser(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Session session,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/updateByIdUserRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/updateByIdUserResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/updateByIdUser/Fault/AbstractException")})
    @RequestWrapper(localName = "updateByIdUser", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdUser")
    @ResponseWrapper(localName = "updateByIdUserResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdUserResponse")
    public void updateByIdUser(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Session session,
        @WebParam(name = "lastName", targetNamespace = "")
        java.lang.String lastName,
        @WebParam(name = "firstName", targetNamespace = "")
        java.lang.String firstName,
        @WebParam(name = "middleName", targetNamespace = "")
        java.lang.String middleName,
        @WebParam(name = "email", targetNamespace = "")
        java.lang.String email
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/isLoginUserRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/isLoginUserResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/UserEndpoint/isLoginUser/Fault/AbstractException")})
    @RequestWrapper(localName = "isLoginUser", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.IsLoginUser")
    @ResponseWrapper(localName = "isLoginUserResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.IsLoginUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean isLoginUser(

        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login
    ) throws AbstractException_Exception;
}
